Historical Fungible Token Balances
curl --request POST \
--url https://api.allium.so/api/v1/developer/wallet/balances/history \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"addresses": [
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana"
}
],
"end_timestamp": "2025-04-01T13:00:00Z",
"start_timestamp": "2025-04-01T12:00:00Z"
}
'import requests
url = "https://api.allium.so/api/v1/developer/wallet/balances/history"
payload = {
"addresses": [
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"chain": "solana"
}
],
"end_timestamp": "2025-04-01T13:00:00Z",
"start_timestamp": "2025-04-01T12:00:00Z"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
addresses: [{address: '125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp', chain: 'solana'}],
end_timestamp: '2025-04-01T13:00:00Z',
start_timestamp: '2025-04-01T12:00:00Z'
})
};
fetch('https://api.allium.so/api/v1/developer/wallet/balances/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"block_hash": "GrW5zBwRrfTvLtdJHog7rUMcCPQ9K9AYrMKxDhfuD59A",
"block_slot": 387297060,
"block_timestamp": "2025-12-17T11:49:10Z",
"chain": "solana",
"raw_balance": 2985840,
"raw_balance_str": "2985840",
"token": {
"address": "So11111111111111111111111111111111111111111",
"chain": "solana",
"decimals": 9,
"object": "token",
"type": "sol_spl"
},
"txn_id": "3dzNgD7ksFoZPeeA14rNN3qxvo5WxsDjTE9VVPj8yLm7y6svTatyrbVTmkJPJErSmhbKLVmJFto1oQsCSVbSeDUT",
"txn_index": 714
}
],
"cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Wallets
Fetch historical fungible token balances
Get the historical balances for a list of wallets.
POST
/
api
/
v1
/
developer
/
wallet
/
balances
/
history
Historical Fungible Token Balances
Supported Chains
Authorizations
Query Parameters
Max number of items returned. Default is 1000.
Cursor to request the next page of results.
Body
application/json
List of wallet chain+address pairs and a start and end timestamp to fetch historical balances for.
Response
Successful Response
items
(SolanaBalances · object | BitcoinBalances · object | EVMWalletBalances · object | NearWalletBalances · object | LegacyEVMWalletBalances · object | LegacySolanaBalances · object | StellarWalletBalances · object)[]
required
Historical balance entries
- SolanaBalances
- BitcoinBalances
- EVMWalletBalances
- NearWalletBalances
- LegacyEVMWalletBalances
- LegacySolanaBalances
- StellarWalletBalances
Show child attributes
Show child attributes
Example:
{
"address": "125Z6k4ZAxsgdG7JxrKZpwbcS1rxqpAeqM9GSCKd66Wp",
"block_hash": "GrW5zBwRrfTvLtdJHog7rUMcCPQ9K9AYrMKxDhfuD59A",
"block_slot": 387297060,
"block_timestamp": "2025-12-17T11:49:10Z",
"chain": "solana",
"raw_balance": 2985840,
"raw_balance_str": "2985840",
"token": {
"address": "So11111111111111111111111111111111111111111",
"chain": "solana",
"decimals": 9,
"object": "token",
"type": "sol_spl"
},
"txn_id": "3dzNgD7ksFoZPeeA14rNN3qxvo5WxsDjTE9VVPj8yLm7y6svTatyrbVTmkJPJErSmhbKLVmJFto1oQsCSVbSeDUT",
"txn_index": 714
}
Pagination cursor for next page
Was this page helpful?
⌘I